---
title: Document.linkColor
slug: Web/API/Document/linkColor
tags:
  - API
  - Deprecated
  - Document
  - HTML DOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("DOM")}} {{Deprecated_header}}</div>

<p>The <strong><code>Document.linkColor</code></strong> property gets/sets the color of links within the document.</p>

<p>This property is deprecated. As an alternative, you can set the CSS {{cssxref("color")}} property on either HTML anchor links ({{HtmlElement("a")}}) or on {{cssxref(":link")}} pseudo-classes. Another alternative is <code>document.body.link</code>, although this is <a class="external" href="http://www.w3.org/TR/html401/struct/global.html#adef-link">deprecated in HTML 4.01</a>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>color</var> = document.linkColor
document.linkColor = <var>color</var>
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code><var>color</var></code> is a string representing the color as a word (e.g., <code>red</code>) or hexadecimal value (e.g., <code>#ff0000</code>).</li>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush:js">document.linkColor = 'blue';
</pre>

<h2 id="Specifications">Specifications</h2>

<p>HTML5</p>

<p><code>Document.linkColor</code> is <a class="external" href="http://www.w3.org/TR/DOM-Level-2-HTML/html.html#ID-26809268">deprecated in DOM Level 2 HTML</a>.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.linkColor")}}</p>

<p>The default value for this property in Mozilla Firefox is blue (<code>#0000ee</code> in hexadecimal).</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.vlinkColor")}}</li>
 <li>{{domxref("document.alinkColor")}}</li>
</ul>
